IF COL_LENGTH('Valores_Tarjetas_Cred', 'Id_Tar_Marca') IS NULL
BEGIN
	ALTER TABLE Valores_Tarjetas_Cred ADD Id_Tar_Marca VARCHAR(15)
	
	CREATE INDEX IX_TAR_PorId_Tar_Marca ON Valores_Tarjetas_Cred (Id_Tar_Marca)
	
	ALTER TABLE Valores_Tarjetas_Cred ADD CONSTRAINT FK_TAR_Cbtes FOREIGN KEY (Id_Tar_Marca) REFERENCES Valores_Tarjetas_Marcas (Id_Tar_Marca)
END
GO
